/*
 Theme Name:   GeneratePress Child / Hotel
 Theme URI:    https://generatepress.com
 Description:  a GeneratePress child theme
 Author:       Maximilian Kroth (tMaex.com)
 Author URI:   https://tmaex.com/dev/gp-child
 Template:     generatepress
 Version:      0.9-custom
*/

/* MK Schriften */
@font-face {
  font-display: swap;
  font-family: 'Hanken Grotesk';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/hanken-grotesk-v8-latin-regular.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'Hanken Grotesk';
  font-style: italic;
  font-weight: 400;
  src: url('fonts/hanken-grotesk-v8-latin-italic.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'Hanken Grotesk';
  font-style: normal;
  font-weight: 500;
  src: url('fonts/hanken-grotesk-v8-latin-500.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'Hanken Grotesk';
  font-style: italic;
  font-weight: 500;
  src: url('fonts/hanken-grotesk-v8-latin-500italic.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'Hanken Grotesk';
  font-style: normal;
  font-weight: 600;
  src: url('fonts/hanken-grotesk-v8-latin-600.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'Hanken Grotesk';
  font-style: italic;
  font-weight: 600;
  src: url('fonts/hanken-grotesk-v8-latin-600italic.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'Hanken Grotesk';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/hanken-grotesk-v8-latin-700.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'Hanken Grotesk';
  font-style: italic;
  font-weight: 700;
  src: url('fonts/hanken-grotesk-v8-latin-700italic.woff2') format('woff2');
}

/* M. keine Scrolleiste unten */
body {
    overflow-x: hidden;
}
/* M. Bildtitel bei Hover entfernen */
img[title] {
	pointer-events: none;
}

/* MK Beitragsbild */
div.featured-image {
	margin-top: 0;
	margin-bottom: 100px;
	max-width: unset;
	background-color: var(--accent);
}
@media (max-width: 768px) {
	margin-top: 0;
	margin-bottom: 70px;
}
div.featured-image img {
	width: 100%;
	height: 40vh;
	object-fit: cover;
}

/* MK Patch für volle Breite .alignfull */
.entry-content .alignwide, body:not(.no-sidebar) .entry-content .alignfull {
	margin-left: -1000px;
	width: calc(100% + 2000px);
	max-width: calc(100% + 2000px);
}


/* SW Header Desktop Abstand links */
@media (min-width: 1025px) {
    .gb-site-header-c2b52d35 {
        padding-left: 20px !important;
    }
}

.gb-menu-link svg {
    display: none;
}

/* SW Erzwingt die Zeigehand für alle GenerateBlocks Menü-Links und Toggles */
.gb-menu-link,
.gb-menu-toggle {
    cursor: pointer !important;
}

/* SW Bei geöffnetem Menü das Burger-Icon verstecken */
.gb-sub-menu--open > .gb-menu-link .gb-submenu-toggle-icon {
    display: none !important;
}

/* SW Stattdessen ein X (Cross) einblenden */
.gb-sub-menu--open > .gb-menu-link::after {
    content: "\2715"; /* Unicode Schließen-Kreuz ✕ */
	font-size: 34px !important;
    font-weight: bold;
    display: inline-block;
    line-height: 1;
}

/*SW Burger-Icon Header vergrößern */
.gb-menu-link,
.gb-menu-toggle {
    font-size: 34px !important; 
}
/* MOBILe ANPASSUNG */
@media (max-width: 768px) {
    .gb-menu-link,
    .gb-menu-toggle,
    .gb-sub-menu--open > .gb-menu-link::after {
        font-size: 30px !important;
    }
}



/* SW Menü Overlay Panel Lücke entfernen/bildschirmfüllend */
.gb-overlay .gb-container.alignfull {
    margin-top: 5px !important;
}


/* SW Menü Fix für Scrollen & gelbe Buttons in den Hintergrund */
.gb-overlay {

    z-index: 999999 !important;
}



/* SW Hover Overlay Bild-Container Startseite mit Text im Vordergrund*/
.hover-overlay {
    position: relative;
    overflow: hidden;
}
.hover-overlay > * {
    position: relative;
    z-index: 2 !important;
}
.hover-overlay::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    opacity: 0; 
    transition: opacity 0.3s ease-in-out; 
    z-index: 1;
}
.hover-overlay:hover::before {
    opacity: 1;
}